ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
file_input_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_file_input (&$Settings)

## Data Fields
| $Settings = false
| $CachedMultyFS = false
| $FileInputAlgorithms = false
| $Security = false
| $String = false

## Detailed Description

Class processes file_input macro.

Author
  Dodonov A.A.

Definition at line 26 of file file_input_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 58 of file file_input_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->FileInputAlgorithms = get_package( 'file_input::file_input_algorithms' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_file_input | ( | & | $Settings | ) |

Function compiles component.

Parameters

  $Settings | - Compilation parameters.

Returns
  Component's HTML code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 282 of file file_input_markup.php.

{
try
{
$TemplatePath = dirname( __FILE__ ).'/res/templates/file_input.tpl';
$Code = $this->CachedMultyFS->file_get_contents( $TemplatePath );
$Code = str_replace(
'{uploaded_file_code}' , $this->get_uploaded_file_code( $Settings ) , $Code
);
$Url = $Settings->get_setting( 'upload_url' );
$Name = $Settings->get_setting( 'name' , 'file_input' );
$Code = $this->apply_upload_limitations( $Settings , $Code , $Name );
$Code = $this->set_event_handlers( $Settings , $Code );
$Code = str_replace( array( '{name}' , '{upload_url}' ) , array( $Name , $Url ) , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Definition at line 39 of file file_input_markup.php.

$FileInputAlgorithms = false

Definition at line 40 of file file_input_markup.php.

$Security = false

Definition at line 41 of file file_input_markup.php.

$Settings = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file file_input_markup.php.

$String = false

Definition at line 42 of file file_input_markup.php.

The documentation for this class was generated from the following file:

- packages/file_input/packages/file_input_markup/file_input_markup.php